Page MenuHomePhabricator

Use link formatter that uses cache instead of wb_terms for item Q1
Closed, ResolvedPublicAug 27 2018

Details

Due Date
Aug 27 2018, 9:00 AM
Related Gerrit Patches:

Event Timeline

WMDE-leszek renamed this task from Use item link formatter that uses cache instead of wb_terms for Q1 to Use link formatter that uses cache instead of wb_terms for item Q1.Aug 13 2018, 1:40 PM
WMDE-leszek triaged this task as Medium priority.
WMDE-leszek created this task.
WMDE-leszek added a comment.EditedAug 13 2018, 1:43 PM

Planned to do on Thu 2018-08-27.

Change 452365 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Wikidata: Use new item ID formatter for Q1

https://gerrit.wikimedia.org/r/452365

WMDE-leszek set Due Date to Aug 23 2018, 9:00 AM.Aug 22 2018, 7:28 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 22 2018, 7:28 AM

Change 454510 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Wikidata: Added config variable to change new link formatter item range

https://gerrit.wikimedia.org/r/454510

Change 454521 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Wikidata (labs): Added config variable to change new link formatter item range

https://gerrit.wikimedia.org/r/454521

Change 454522 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Wikidata: Use new item ID formatter for Q1

https://gerrit.wikimedia.org/r/454522

Change 454521 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikidata (labs): Added config variable to change new link formatter item range

https://gerrit.wikimedia.org/r/454521

Change 454522 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikidata (labs): Use new item ID formatter for Q1

https://gerrit.wikimedia.org/r/454522

Now deployed to beta up to Q1000

Change 454510 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikidata: Added config variable to change new link formatter item range

https://gerrit.wikimedia.org/r/454510

Change 454764 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Add log channel Wikibase.NewItemIdFormatter

https://gerrit.wikimedia.org/r/454764

Change 454764 merged by jenkins-bot:
[operations/mediawiki-config@master] Add log channel Wikibase.NewItemIdFormatter

https://gerrit.wikimedia.org/r/454764

Change 452365 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikidata: Use new item ID formatter for Q1-100

https://gerrit.wikimedia.org/r/452365

Mentioned in SAL (#wikimedia-operations) [2018-08-23T08:39:35Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T201832 Stuff for new link formatter on testwikidata [[gerrit:454510]] [[gerrit:452365]] [[gerrit:454764]] (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-08-23T08:41:17Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: T201832 Stuff for new link formatter on testwikidata [[gerrit:454510]] (duration: 00m 55s)

WMDE-leszek changed Due Date from Aug 23 2018, 9:00 AM to Aug 27 2018, 9:00 AM.Aug 24 2018, 11:42 AM
WMDE-leszek changed Due Date from Aug 27 2018, 9:00 AM to Aug 29 2018, 9:00 AM.Aug 24 2018, 12:31 PM

Change 455389 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Wikidata: Use new item ID formatter for Q1

https://gerrit.wikimedia.org/r/455389

WMDE-leszek changed Due Date from Aug 29 2018, 9:00 AM to Aug 27 2018, 9:00 AM.Aug 26 2018, 11:08 AM

Change 455389 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikidata: Use new item ID formatter for Q1

https://gerrit.wikimedia.org/r/455389

Mentioned in SAL (#wikimedia-operations) [2018-08-27T09:16:22Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:455389]] Wikidata: Use new item ID formatter for Q1 T201832 (duration: 00m 49s)

WMDE-leszek closed this task as Resolved.Sep 7 2018, 3:12 PM
WMDE-leszek claimed this task.